Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Signals | Public Member Functions
tlp::QtProgress Class Reference

QDialog wrapping a PluginProgressWidget. See the PluginProgressWidget and PluginProgress documentation for more information. More...

`#include <QtProgress.h>`

Collaboration diagram for tlp::QtProgress:
[legend]

List of all members.

## Public Slots

- ProgressState progress (int step, int max_step)
- void cancel ()
- void stop ()
- bool isPreviewMode () const
- void setPreviewMode (bool)
- void showPreview (bool)
- ProgressState state () const
- std::string getError ()
- void setError (std::string error)
- void setComment (std::string)

## Signals

- void sendProgress (int, int)

## Public Member Functions

- QtProgress (QWidget *parent, std::string text, View *view=NULL, int updateInterval=200)
- virtual ~QtProgress ()

## Detailed Description

QDialog wrapping a PluginProgressWidget. See the PluginProgressWidget and PluginProgress documentation for more information.

Display and control a PluginProgress widget inside a QDialog.

## Constructor & Destructor Documentation

tlp::QtProgress::QtProgress | ( | QWidget * | parent,
|  | std::string | text,
|  | View * | view = `NULL`,
|  | int | updateInterval = `200`
| ) |  |

virtual tlp::QtProgress::~QtProgress | ( |  | ) | `[virtual]`

## Member Function Documentation

void tlp::QtProgress::cancel | ( |  | ) | `[slot]`

std::string tlp::QtProgress::getError | ( |  | ) | `[slot]`

bool tlp::QtProgress::isPreviewMode | ( |  | ) | const`[slot]`

ProgressState tlp::QtProgress::progress | ( | int | step,
|  | int | max_step
| ) |  | `[slot]`

void tlp::QtProgress::sendProgress | ( | int | ,
|  | int |
| ) |  | `[signal]`

void tlp::QtProgress::setComment | ( | std::string |  | ) | `[slot]`

void tlp::QtProgress::setError | ( | std::string | error | ) | `[slot]`

void tlp::QtProgress::setPreviewMode | ( | bool |  | ) | `[slot]`

void tlp::QtProgress::showPreview | ( | bool |  | ) | `[slot]`

ProgressState tlp::QtProgress::state | ( |  | ) | const`[slot]`

void tlp::QtProgress::stop | ( |  | ) | `[slot]`

Tulip Software by LaBRI Visualization Team 2001 - 2012